<script setup lang="ts">
import { useRouter } from "vue-router";
import TheWelcome from "../components/TheWelcome.vue";
const router = useRouter();
function openShowParam(id: number) {
  router.push("/show-param/" + id);
}
</script>

<template>
  <main>
    <!-- <TheWelcome /> -->
    <router-link to="/show-param/123?abc=1">show param 123</router-link>
    <v-btn to="/show-param/1">to show param 1</v-btn>
    <v-btn @click="openShowParam(2)">click show param 2</v-btn>
  </main>
</template>
